/*!@file InstantiateAll.H - executes the macro INSTATIATE for each
type for which ModelParam<T> is defined. Typical use of this file:
 <code>
 #define INSTANTIATE(T) template void myFunction1(const T& val); \
                        template T myFunction2(Image<T>& img, int val); \
 		       template class myClass< T >;
 #include "InstantiateAll.H"
 </code>
see ModelParam.C and StringConversions.C for example. Extend the list of 
instantiations if you create a new kind of ModelParam.
*/

// //////////////////////////////////////////////////////////////////// //
// The iLab Neuromorphic Vision C++ Toolkit - Copyright (C) 2000-2002   //
// by the University of Southern California (USC) and the iLab at USC.  //
// See http://iLab.usc.edu for information about this project.          //
// //////////////////////////////////////////////////////////////////// //
// Major portions of the iLab Neuromorphic Vision Toolkit are protected //
// under the U.S. patent ``Computation of Intrinsic Perceptual Saliency //
// in Visual Environments, and Applications'' by Christof Koch and      //
// Laurent Itti, California Institute of Technology, 2001 (patent       //
// pending; application number 09/912,225 filed July 23, 2001; see      //
// http://pair.uspto.gov/cgi-bin/final/home.pl for current status).     //
// //////////////////////////////////////////////////////////////////// //
// This file is part of the iLab Neuromorphic Vision C++ Toolkit.       //
//                                                                      //
// The iLab Neuromorphic Vision C++ Toolkit is free software; you can   //
// redistribute it and/or modify it under the terms of the GNU General  //
// Public License as published by the Free Software Foundation; either  //
// version 2 of the License, or (at your option) any later version.     //
//                                                                      //
// The iLab Neuromorphic Vision C++ Toolkit is distributed in the hope  //
// that it will be useful, but WITHOUT ANY WARRANTY; without even the   //
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR      //
// PURPOSE.  See the GNU General Public License for more details.       //
//                                                                      //
// You should have received a copy of the GNU General Public License    //
// along with the iLab Neuromorphic Vision C++ Toolkit; if not, write   //
// to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   //
// Boston, MA 02111-1307 USA.                                           //
// //////////////////////////////////////////////////////////////////// //
//
// Primary maintainer for this file: Laurent Itti <itti@usc.edu>
// $Id: InstantiateAll.H 3713 2004-09-24 06:22:51Z walther $
//

#ifdef INSTANTIATE

INSTANTIATE(bool);
INSTANTIATE(int);
INSTANTIATE(short int);
INSTANTIATE(uint);
INSTANTIATE(float);
INSTANTIATE(double);
INSTANTIATE(Dims);
INSTANTIATE(Point2D);
INSTANTIATE(std::string);
INSTANTIATE(FrameGrabberMode);
INSTANTIATE(FrameRange);
INSTANTIATE(LevelSpec);
INSTANTIATE(Rectangle);
INSTANTIATE(RasterFileFormat);
INSTANTIATE(PixRGB<byte>);
INSTANTIATE(VisualFeature);
INSTANTIATE(PyramidType);
INSTANTIATE(MaxNormType);
INSTANTIATE(IORtype);
INSTANTIATE(ShapeEstimatorMode);
INSTANTIATE(ShapeEstimatorSmoothMethod);
INSTANTIATE(OrientComputeType);
INSTANTIATE(in_addr);
INSTANTIATE(BitObjectDrawMode);
INSTANTIATE(ImageDisplayType);
INSTANTIATE(ColorComputeType);
//insert your new type instantiation above this line

#endif

// ######################################################################
/* So things look consistent in everyone's emacs... */
/* Local Variables: */
/* indent-tabs-mode: nil */
/* End: */
