/*!@file colorDefs.H definitions of a few colors
 */
// //////////////////////////////////////////////////////////////////// //
// The iLab Neuromorphic Vision C++ Toolkit - Copyright (C) 2000-2002   //
// by the University of Southern California (USC) and the iLab at USC.  //
// See http://iLab.usc.edu for information about this project.          //
// //////////////////////////////////////////////////////////////////// //
// Major portions of the iLab Neuromorphic Vision Toolkit are protected //
// under the U.S. patent ``Computation of Intrinsic Perceptual Saliency //
// in Visual Environments, and Applications'' by Christof Koch and      //
// Laurent Itti, California Institute of Technology, 2001 (patent       //
// pending; application number 09/912,225 filed July 23, 2001; see      //
// http://pair.uspto.gov/cgi-bin/final/home.pl for current status).     //
// //////////////////////////////////////////////////////////////////// //
// This file is part of the iLab Neuromorphic Vision C++ Toolkit.       //
//                                                                      //
// The iLab Neuromorphic Vision C++ Toolkit is free software; you can   //
// redistribute it and/or modify it under the terms of the GNU General  //
// Public License as published by the Free Software Foundation; either  //
// version 2 of the License, or (at your option) any later version.     //
//                                                                      //
// The iLab Neuromorphic Vision C++ Toolkit is distributed in the hope  //
// that it will be useful, but WITHOUT ANY WARRANTY; without even the   //
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR      //
// PURPOSE.  See the GNU General Public License for more details.       //
//                                                                      //
// You should have received a copy of the GNU General Public License    //
// along with the iLab Neuromorphic Vision C++ Toolkit; if not, write   //
// to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   //
// Boston, MA 02111-1307 USA.                                           //
// //////////////////////////////////////////////////////////////////// //
//
// Primary maintainer for this file: Laurent Itti <itti@usc.edu>
// $Id: colorDefs.H 3708 2004-09-23 23:35:28Z walther $
//

#ifndef COLORDEFS_H_DEFINED
#define COLORDEFS_H_DEFINED

// a few colors by their names
#define COL_BLACK        PixRGB<byte>(  0,  0,  0)
#define COL_WHITE        PixRGB<byte>(255,255,255)
#define COL_YELLOW       PixRGB<byte>(255,255,  0)
#define COL_ORANGE       PixRGB<byte>(255,128,  0)
#define COL_BLUE         PixRGB<byte>(  0,  0,255)
#define COL_RED          PixRGB<byte>(255,  0,  0)
#define COL_GREEN        PixRGB<byte>(  0,255,  0)

/* these values come from a statistical analysis
   of ~8000 faces in color images 
   Dirk Walther, 2004 */
#define COL_SKIN         PixRGB<byte>(176,122,107)
#define COL_SKIN_MUR     0.434904
#define COL_SKIN_MUG     0.301983
#define COL_SKIN_SIGR    0.053375
#define COL_SKIN_SIGG    0.024349
#define COL_SKIN_RHO     0.5852

// this value is defined as transparent by convention
#define COL_TRANSPARENT  PixRGB<byte>(  1,  1,  1)

// these values are set for MBARI stuff
#define COL_INTERESTING COL_YELLOW
#define COL_CANDIDATE   COL_ORANGE
#define COL_SKIP        COL_BLUE
#define COL_PREDICTION  COL_GREEN
#define COL_FOE         COL_RED

#endif

// ######################################################################
/* So things look consistent in everyone's emacs... */
/* Local Variables: */
/* indent-tabs-mode: nil */
/* End: */
